BlobValue
Date: 2010-07-30

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.postgresql.pljava.jdbc
Class BlobValue

    java.lang.Object
      java.io.InputStream
          org.postgresql.pljava.jdbc.BlobValue

All Implemented Interfaces:
  java.io.Closeable, java.sql.Blob

    public class BlobValue

extends java.io.InputStream
implements java.sql.Blob

Constructor Summary
`BlobValue(byte[] bytes)`
`BlobValue(java.io.InputStream stream, long nBytes)`

Method Summary
`int` | `available()`
`void` | `free()`
`java.io.InputStream` | `getBinaryStream()`
`java.io.InputStream` | `getBinaryStream(long pos, long length)`
`byte[]` | `getBytes(long pos, int length)`
`void` | `getContents(java.nio.ByteBuffer buf)` Called from within...
`static int` | `getStreamLength(java.io.InputStream value)`
`long` | `length()`
`void` | `mark(int readLimit)`
`boolean` | `markSupported()`
`long` | `position(java.sql.Blob pattern, long start)` Not supported.
`long` | `position(byte[] pattern, long start)` Not supported.
`int` | `read()`
`int` | `read(byte[] b)`
`int` | `read(byte[] b, int off, int len)`
`void` | `reset()`
`java.io.OutputStream` | `setBinaryStream(long pos)` In this method is not supported by `BlobValue`
`int` | `setBytes(long pos, byte[] bytes)` In this method is not supported by `BlobValue`
`int` | `setBytes(long pos, byte[] bytes, int offset, int len)` In this method is not supported by `BlobValue`
`long` | `skip(long nBytes)`
`void` | `truncate(long len)` In this method is not supported by `BlobValue`

Methods inherited from class java.io.InputStream
`close`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### BlobValue

    public BlobValue(byte[] bytes)

### BlobValue

    public BlobValue(java.io.InputStream stream,
                     long nBytes)

Method Detail

### getStreamLength

    public static int getStreamLength(java.io.InputStream value)
                               throws java.sql.SQLException

  Throws:
    `java.sql.SQLException`

### available

    public int available()
                  throws java.io.IOException

  Overrides:
    `available` in class `java.io.InputStream`
  Throws:
    `java.io.IOException`

### getBinaryStream

    public java.io.InputStream getBinaryStream()

  Specified by:
    `getBinaryStream` in interface `java.sql.Blob`

### getBytes

    public byte[] getBytes(long pos,
                           int length)
                    throws java.sql.SQLException

  Specified by:
    `getBytes` in interface `java.sql.Blob`
  Throws:
    `java.sql.SQLException`

### getContents

    public void getContents(java.nio.ByteBuffer buf)
                     throws java.io.IOException

  Called from within...

  Parameters:
    `buf` - a buffer that reflects the internally allocated bytea buffer. This size of this buffer will be exactly the size returned by a call to `length()`.
  Throws:
    `java.io.IOException`

### length

    public long length()

  Specified by:
    `length` in interface `java.sql.Blob`

### mark

    public void mark(int readLimit)

  Overrides:
    `mark` in class `java.io.InputStream`

### markSupported

    public boolean markSupported()

  Overrides:
    `markSupported` in class `java.io.InputStream`

### position

    public long position(java.sql.Blob pattern,
                         long start)

  Not supported.

  Specified by:
    `position` in interface `java.sql.Blob`

### position

    public long position(byte[] pattern,
                         long start)

  Not supported.

  Specified by:
    `position` in interface `java.sql.Blob`

### read

    public int read()
             throws java.io.IOException

  Specified by:
    `read` in class `java.io.InputStream`
  Throws:
    `java.io.IOException`

### read

    public int read(byte[] b)
             throws java.io.IOException

  Overrides:
    `read` in class `java.io.InputStream`
  Throws:
    `java.io.IOException`

### read

    public int read(byte[] b,
                    int off,
                    int len)
             throws java.io.IOException

  Overrides:
    `read` in class `java.io.InputStream`
  Throws:
    `java.io.IOException`

### reset

    public void reset()
               throws java.io.IOException

  Overrides:
    `reset` in class `java.io.InputStream`
  Throws:
    `java.io.IOException`

### setBinaryStream

    public java.io.OutputStream setBinaryStream(long pos)

  In this method is not supported by `BlobValue`

  Specified by:
    `setBinaryStream` in interface `java.sql.Blob`

### setBytes

    public int setBytes(long pos,
                        byte[] bytes)

  In this method is not supported by `BlobValue`

  Specified by:
    `setBytes` in interface `java.sql.Blob`

### setBytes

    public int setBytes(long pos,
                        byte[] bytes,
                        int offset,
                        int len)

  In this method is not supported by `BlobValue`

  Specified by:
    `setBytes` in interface `java.sql.Blob`

### skip

    public long skip(long nBytes)
              throws java.io.IOException

  Overrides:
    `skip` in class `java.io.InputStream`
  Throws:
    `java.io.IOException`

### truncate

    public void truncate(long len)

  In this method is not supported by `BlobValue`

  Specified by:
    `truncate` in interface `java.sql.Blob`

### free

    public void free()
              throws java.sql.SQLException

  Specified by:
    `free` in interface `java.sql.Blob`
  Throws:
    `java.sql.SQLException`

### getBinaryStream

    public java.io.InputStream getBinaryStream(long pos,
                                               long length)
                                        throws java.sql.SQLException

  Specified by:
    `getBinaryStream` in interface `java.sql.Blob`
  Throws:
    `java.sql.SQLException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (c) 2003, 2004, 2005 TADA AB - Taby Sweden. \ Distributed under the terms shown in COPYRIGHT